## egenix-mx-base 3.1.3

=== debian/changelog ===
egenix-mx-base (3.1.3-4build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Dec 2010 23:59:38 +0000

egenix-mx-base (3.1.3-4) unstable; urgency=low

  * Split documentation into -doc packages. Closes: #570531.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 May 2010 16:02:57 +0200

egenix-mx-base (3.1.3-3) unstable; urgency=low

  * Changed source package format to "3.0 (quilt)".
  * Updated Standards-Version to 3.8.4.
  * Don't compile with debug information in the non-dbg package.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 May 2010 15:00:19 +0200

egenix-mx-base (3.1.3-2) unstable; urgency=low

  * Added ${misc:Depends} requirements.

 -- Joel Rosdahl <joel@debian.org>  Wed, 27 Jan 2010 22:14:26 +0100

egenix-mx-base (3.1.3-1+b1) unstable; urgency=low

  * Binary-only non-maintainer upload for amd64; no source changes.
  * Build extension for python2.6

 -- amd64 Build Daemon (brahms) <buildd_amd64-brahms@buildd.debian.org>  Tue, 26 Jan 2010 00:44:03 +0000

egenix-mx-base (3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Mon, 21 Dec 2009 22:41:29 +0100

egenix-mx-base (3.1.2-5) unstable; urgency=low

  * Another try at allowing Python 2.6 builds: Let debian/movefile.sh
    refer to usr/lib/python$ver/*-packages/...

 -- Joel Rosdahl <joel@debian.org>  Wed, 21 Oct 2009 20:11:28 +0200

egenix-mx-base (3.1.2-4) unstable; urgency=low

  * Bumped build dependency on python-all-dev to >= 2.5.4. Closes: #551699.
  * Added XB-Python-Version entry to python-egenix-mx-base-dbg.

 -- Joel Rosdahl <joel@debian.org>  Tue, 20 Oct 2009 22:45:08 +0200

egenix-mx-base (3.1.2-3) unstable; urgency=low

  * Another try at allowing Python 2.6 builds: Let .install files refer to
    usr/lib/python*/*-packages/...

 -- Joel Rosdahl <joel@debian.org>  Tue, 20 Oct 2009 22:33:47 +0200

egenix-mx-base (3.1.2-2) unstable; urgency=low

  * Allow building with Python 2.6. Closes: #547826.
  * Updated Standard-Version to 3.8.3.

 -- Joel Rosdahl <joel@debian.org>  Wed, 14 Oct 2009 08:11:45 +0200

egenix-mx-base (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Updated Standard-Version to 3.8.1.
  * Put the -dbg package in the debug section.

 -- Joel Rosdahl <joel@debian.org>  Fri, 15 May 2009 20:23:21 +0200

egenix-mx-base (3.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Sun, 28 Sep 2008 17:21:09 +0200

egenix-mx-base (3.1.0-1) unstable; urgency=low

  * New upstream release. Closes: #430557.
  * Updated Standard-Version to 3.8.0.
  
 -- Joel Rosdahl <joel@debian.org>  Sun, 29 Jun 2008 16:06:01 +0200

egenix-mx-base (3.0.0-4) unstable; urgency=low

  * Added missing dependency on python-egenix-mxdatetime for
    python-egenix-mxuid. Closes: #474555.
  * Added missing dependency on python-egenix-mxtexttools for
    python-egenix-mxurl.
  * Removed obsolete dpatches and build dependency on dpatch.
  * Updated Standards-Version to 3.7.3.
  * Fixed spelling error in python-egenix-mx-base-dbg description.
  * Added copyright notice to copyright file.
  * Changed to section Programming/Python for doc-base documentation.

 -- Joel Rosdahl <joel@debian.org>  Sun, 06 Apr 2008 17:00:04 +0200

egenix-mx-base (3.0.0-3) unstable; urgency=low

  * Always use the unversioned interpreter name in executable example
    scripts. See Ubuntu Launchpad #147138.

 -- Joel Rosdahl <joel@debian.org>  Wed, 10 Oct 2007 21:40:14 +0200

egenix-mx-base (3.0.0-2) unstable; urgency=low

  * Added conflicts/depends on old python2.3 packages again.
  * Build python-egenix-mx-base-dbg with debug versions of the modules as
    suggested by Mathias Klose.

 -- Joel Rosdahl <joel@debian.org>  Tue, 12 Jun 2007 21:17:50 +0200

egenix-mx-base (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/copyright with new license text and upstream source
    location.
  * New binary packages: python-egenix-mxbeebase, python-egenix-mxuid and
    python-egenix-mxurl.
  * Updated descriptions for all packages.
  * Removed conflicts/depends on old python2.3 packages.
  * Now with Python 2.5 support. Closes: #406363.
  
 -- Joel Rosdahl <joel@debian.org>  Fri, 18 May 2007 09:48:33 +0200

egenix-mx-base (2.0.6-5) unstable; urgency=low

  * Updated build dependencies on debhelper, python-central and python-all-dev.
  * Removed use of dh_python.
  * Removed DH_COMPAT variable from debian/rules to fix Lintian warning.
  
 -- Joel Rosdahl <joel@debian.org>  Sun, 22 Apr 2007 22:13:36 +0200

egenix-mx-base (2.0.6-4) unstable; urgency=low

  * Added dependencies on python-egenix-mxtools, which got lost during
    transition to the new Python policy. Closes: #374404.  
  * Removed now obsolete "dummy package" markers. Closes: #374419.
  * Readded lost build target to debian/rules.
  * Readded dependencies on ${shlibs:Depends}.
  * Added XS-Python-Standards-Version field.
  * Added versioned dependency on python-all-dev.
  * Use "pyversions -r debian/control" instead of "pyversions -s".
  * Unhardcoded creation of /usr/include/python2.[34]/mx directories.
  * Drop obsolete prerm and postinst scripts.
  * Updated Standards-Version to 3.7.2.

 -- Joel Rosdahl <joel@debian.org>  Mon, 19 Jun 2006 19:48:03 +0000

egenix-mx-base (2.0.6-3.1) unstable; urgency=low

  * Drop the versioned package, update to the revised Python policy.
    Closes: #372884.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 03:55:45 +0200

egenix-mx-base (2.0.6-3) unstable; urgency=low

  * Standards-Version 3.6.2.
  * Created 05_DateTime_ampm_parse_fix.dpatch. Sorry for the delay!
    Closes: bug#298024.
  * Applied bug fix from Matt Chapman to 04_DateTime_format_fix. Thanks!

 -- Joel Rosdahl <joel@debian.org>  Sun, 14 May 2006 10:58:44 +0200

egenix-mx-base (2.0.6-2) unstable; urgency=low

  * Drop Python 2.1 and 2.2 support.
  * Update to Standards-Version 3.6.1.

