## egenix-mx-base 3.2.0

=== debian/changelog ===
egenix-mx-base (3.2.0-1) unstable; urgency=low

  * New upstream release (closes: #494792)
  * Add working debian/watch file
  * Remove unnecessary ${shlibs:Depends} for doc packages
  * Add ${python:Depends} again

 -- Joel Rosdahl <joel@debian.org>  Sun, 03 Jul 2011 21:17:22 +0200

egenix-mx-base (3.1.3-5) unstable; urgency=low

  * Convert from dh_pycentral to dh_python2 (closes: #616798)
  * Remove unused ${python:Depends} and ${python:Provides}
  * Add build-arch and build-indep targets to debian/rules
  * Use debhelper compat level 8
  * Add dummy watch file explaining why there's no watch file
  * Bump Standards-Version to 3.9.2
  * Add small comments that the dbg packages are normally not needed
  * Add dependency to the python package since we have some scripts as well

 -- Joel Rosdahl <joel@debian.org>  Sun, 26 Jun 2011 22:39:55 +0200
