=== debian/control ===
Source: egenix-mx-base
Section: python
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg
Standards-Version: 3.9.2

Package: python-egenix-mx-base-dev
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Description: development files for the egenix-mx-base distribution
 This package contains the C header files needed to build C Python
 modules based on the egenix-mx-base modules. It contains no other
 functionality.

Package: python-egenix-mx-base-dbg
Section: debug
Architecture: any
Priority: extra
Depends: python-egenix-mxbeebase (= ${binary:Version}), python-egenix-mxdatetime (= ${binary:Version}), python-egenix-mxproxy (= ${binary:Version}), python-egenix-mxqueue (= ${binary:Version}), python-egenix-mxstack (= ${binary:Version}), python-egenix-mxtexttools (= ${binary:Version}), python-egenix-mxtools (= ${binary:Version}), python-egenix-mxuid (= ${binary:Version}), python-egenix-mxurl (= ${binary:Version}), python-egenix-mx-base-dev (= ${source:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: python-egenix-mxbeebase-dbg, python-egenix-mxdatetime-dbg, python-egenix-mxproxy-dbg, python-egenix-mxqueue-dbg, python-egenix-mxstack-dbg, python-egenix-mxtexttools-dbg, python-egenix-mxtools-dbg, python-egenix-mxuid-dbg, python-egenix-mxurl-dbg
Description: extension files for the egenix-mx-base distribution (debug build)
 This package contains the extensions built for the Python debug
 interpreter.
 .
 You normally don't need to install this package.

Package: python-egenix-mxbeebase
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-egenix-mxtools, python
Suggests: python-egenix-mxbeebase-dbg, python-egenix-mxbeebase-doc
Description: on-disk B+Tree based database kit for Python
 mxBeeBase is a high performance construction kit for disk based
 indexed databases. It offers components which you can plug together
 to easily build your own custom mid-sized databases.
 .
 The two basic building blocks in mxBeeBase are storage and
 index. Storage is implemented as variable record length data storage
 with integrated data protection features, automatic data recovery and
 locking for multi process access. Indexes use a high performance
 optimized B+Tree implementation built on top of Thomas Niemann's
 Cookbook B+Tree implementation.
 .
 mxBeeBase comes with two readily usable on-disk dictionary
 implementations: BeeDict and BeeStringDict.

Package: python-egenix-mxbeebase-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: python-egenix-mxbeebase (<< 3.1.3-3)
Description: on-disk B+Tree based database kit for Python (documentation)
 mxBeeBase is a high performance construction kit for disk based
 indexed databases. It offers components which you can plug together
 to easily build your own custom mid-sized databases.
 .
 The package includes documentation for mxBeeBase.

Package: python-egenix-mxdatetime
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-egenix-mxtools, python
Conflicts: python2.3-egenix-mxdatetime, python2.4-egenix-mxdatetime
Replaces: python2.3-egenix-mxdatetime, python2.4-egenix-mxdatetime
Suggests: python-egenix-mxdatetime-dbg, python-egenix-mxdatetime-doc
Description: date and time handling routines for Python
 mxDateTime is a Python extension package that provides three new
 objects, DateTime, DateTimeDelta and RelativeDateTime, which let you
 store and handle date/time values in a much more natural way than by
 using ticks (seconds since 1970-01-01 00:00:00 UTC), the representation
 used by Python's time module).
 .
 You can add, subtract and even multiply instances, pickle and copy
 them and convert the results to strings, COM dates, ticks and some
 other more esoteric values. In addition, there are several convenient
 constructors and formatters at hand to greatly simplify dealing with
 dates and times in real-world applications.
 .
 In addition to providing an easy-to-use Python interface the package
 also exports a comfortable C API interface for other extensions to
 build upon. This is especially interesting for database applications
 which often have to deal with date/time values (the mxODBC package is
 one example of an extension using this interface).
 .
 mxDateTime can convert between various different date/time storage
 formats, including COM dates, TJD, MJD, JDN, tuples and, probably
 most important, strings.
 .
 The date/time parser included in mxDateTime is one of the most
 flexible such parser available for Python. It is constantly being
 improved to make parsing date/time strings as easy as possible. At
 the same time, it offers a fully customizable interface which allows
 selecting valid date/time formats from a range of predefined
 categories.
 .
 There are also special parser and formatter modules for ARPA and ISO
 date/time formats, which are handy if you work a lot with Internet
 standards.

Package: python-egenix-mxdatetime-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: python-egenix-mxdatetime (<< 3.1.3-3)
Description: date and time handling routines for Python (documentation)
 mxDateTime is a Python extension package that provides three new
 objects, DateTime, DateTimeDelta and RelativeDateTime, which let you
 store and handle date/time values in a much more natural way than by
 using ticks (seconds since 1970-01-01 00:00:00 UTC), the representation
 used by Python's time module).
 .
 The package includes documentation for mxDateTime.


Package: python-egenix-mxproxy
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-egenix-mxtools
Conflicts: python2.3-egenix-mxproxy, python2.4-egenix-mxproxy
Replaces: python2.3-egenix-mxproxy, python2.4-egenix-mxproxy
Suggests: python-egenix-mxproxy-dbg, python-egenix-mxproxy-doc
Description: generic proxy wrapper type for Python
 mxProxy is an extension package that provides a new type that is
 suitable to implement Bastion like features without the need to use
 restricted execution environments.
 .
 Given that current Python versions no longer support Bastion or rexec
 as secure sand-box execution models, mxProxy fills an important
 gap. It also gives the programmer more control over how and to what
 extent access should be controlled or not.

Package: python-egenix-mxproxy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: python-egenix-mxproxy (<< 3.1.3-3)
Description: generic proxy wrapper type for Python (documentation)
 mxProxy is an extension package that provides a new type that is
 suitable to implement Bastion like features without the need to use
 restricted execution environments.
 .
 The package includes documentation for mxProxy.

Package: python-egenix-mxqueue
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-egenix-mxtools, python
Conflicts: python2.3-egenix-mxqueue, python2.4-egenix-mxqueue
Replaces: python2.3-egenix-mxqueue, python2.4-egenix-mxqueue
Suggests: python-egenix-mxqueue-dbg, python-egenix-mxqueue-doc
Description: fast and memory-efficient queue for Python
 mxQueue is a Python extension package that provides a new object type
 called Queue.
 .
 It works much like what you would expect from such a type, having
 push() and pop() methods and focuses on obtaining maximum speed at
 low memory costs.

Package: python-egenix-mxqueue-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: python-egenix-mxqueue (<< 3.1.3-3)
Description: fast and memory-efficient queue for Python (documentation)
 mxQueue is a Python extension package that provides a new object type
 called Queue.
 .
 The package includes documentation for mxQueue.

Package: python-egenix-mxstack
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-egenix-mxtools, python
Conflicts: python2.3-egenix-mxstack, python2.4-egenix-mxstack
Replaces: python2.3-egenix-mxstack, python2.4-egenix-mxstack
Suggests: python-egenix-mxstack-dbg, python-egenix-mxstack-doc
Description: fast and memory-efficient stack for Python
 mxStack is a Python extension package that provides a new object type
 called Stack.
 .
 It works much like what you would expect from such a type, having
 push() and pop() methods and focuses on obtaining maximum speed at
 low memory costs.

Package: python-egenix-mxstack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: python-egenix-mxstack (<< 3.1.3-3)
Description: fast and memory-efficient stack for Python (documentation)
 mxStack is a Python extension package that provides a new object type
 called Stack.
 .
 The package includes documentation for mxStack.

Package: python-egenix-mxtexttools
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-egenix-mxtools, python
Conflicts: python2.3-egenix-mxtexttools, python2.4-egenix-mxtexttools
Replaces: python2.3-egenix-mxtexttools, python2.4-egenix-mxtexttools
Suggests: python-egenix-mxtexttools-dbg, python-egenix-mxtexttools-doc
Description: fast text processing tools for Python
 mxTextTools is an extension package for Python that provides
 high-performance text manipulation and searching algorithms, in
 addition to a very flexible and extendable state machine, the Tagging
 Engine, which allows scanning and processing text at C speeds.

Package: python-egenix-mxtexttools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: python-egenix-mxtexttools (<< 3.1.3-3)
Description: fast text processing tools for Python (documentation)
 mxTextTools is an extension package for Python that provides
 high-performance text manipulation and searching algorithms, in
 addition to a very flexible and extendable state machine, the Tagging
 Engine, which allows scanning and processing text at C speeds.
 .
 The package includes documentation for mxTextTools.

Package: python-egenix-mxtools
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python
Conflicts: python2.3-egenix-mxtools, python2.4-egenix-mxtools
Replaces: python2.3-egenix-mxtools, python2.4-egenix-mxtools
Suggests: python-egenix-mxtools-dbg, python-egenix-mxtools-doc
Description: collection of additional builtins for Python
 mxTools is a Python extension package that includes a collection of
 handy functions and objects giving additional functionality to the
 Python programmer in form of new builtins, extensions to the sys
 module and several other helpers as part of the package.
 .
 The package includes several functions which provide access to Python
 internals that would otherwise not be available.

Package: python-egenix-mxtools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: python-egenix-mxtools (<< 3.1.3-3)
Description: collection of additional builtins for Python (documentation)
 mxTools is a Python extension package that includes a collection of
 handy functions and objects giving additional functionality to the
 Python programmer in form of new builtins, extensions to the sys
 module and several other helpers as part of the package.
 .
 The package includes documentation for mxTools.

Package: python-egenix-mxuid
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-egenix-mxtools, python-egenix-mxdatetime
Suggests: python-egenix-mxuid-dbg, python-egenix-mxuid-doc
Description: unique identifiers for Python
 mxUID provides a fast mechanism for generating universal
 identification strings (UIDs) with intention of making these UIDs
 unique with high probability in order to serve as object or data set
 identifiers.
 .
 A typical use lies in generating session IDs. Other areas where
 unique IDs play an important role are RPC-implementations, ORBs, user
 identification, message passing systems, object databases, etc.

Package: python-egenix-mxuid-doc
Section: doc
Architecture: all
