## egenix-mx-base 3.2.1

=== debian/changelog ===
egenix-mx-base (3.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with Python 2.7.3: ImportError: cannot import name
    customize_compiler": add patch from Ubuntu / Colin Watson:
    - mxSetup.py: Go back to importing customize_compiler from
      distutils.sysconfig.  This is needed with Python 2.7.3, and should
      still work with earlier 2.7 versions.
    (Closes: #664939)

 -- gregor herrmann <gregoa@debian.org>  Mon, 09 Apr 2012 17:50:33 +0200

egenix-mx-base (3.2.1-1) unstable; urgency=low

  * New upstream release (closes: #641441)

 -- Joel Rosdahl <joel@debian.org>  Wed, 14 Sep 2011 21:51:01 +0200
