=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 
 PYVERS = $(shell pyversions -r debian/control)
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: $(PYVERS:%=build-ext-%-stamp)
 	touch $@
@@ -57,7 +59,7 @@
 install-prereq:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 install-ext-python%:
@@ -123,7 +125,7 @@
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
-	dh_pycentral -i
+	dh_python2 -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -143,7 +145,7 @@
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_pycentral -a
+	dh_python2 -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
@@ -152,4 +154,7 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: binary binary-arch binary-indep build clean clean1 install
+.PHONY: build build-arch build-indep
+.PHONY: clean
+.PHONY: install install-prereq
+.PHONY: binary-indep binary-arch binary
