=== debian/watch ===
version=3
opts=\
downloadurlmangle=s!(/python)/.+/([^/]+)$!$1/egenix-mx-base-$2.tar.gz!,\
filenamemangle=s!.*/([^/]+)$!egenix-mx-base-$1.tar.gz! \
http://downloads.egenix.com/python/index/ucs2/egenix-mx-base/(\d.*)
