## egenix-mx-base 3.2.5

=== debian/changelog ===
egenix-mx-base (3.2.5-1) unstable; urgency=low

  * New upstream release 3.2.5 (closes: #664686)
  * Update Standards-Version to 3.9.3 (no changes required)
  * Remove lintian overrides again since they apparently no longer are needed

 -- Joel Rosdahl <joel@debian.org>  Wed, 28 Nov 2012 22:08:07 +0100

egenix-mx-base (3.2.4-1) unstable; urgency=low

  * New upstream release 3.2.4
  * Update watch file to work with new upstream directory index page
  * Add X-Python-Version control field
  * Build with flags from /usr/share/dpkg/buildflags.mk for hardening

 -- Joel Rosdahl <joel@debian.org>  Sun, 25 Nov 2012 20:55:09 +0100
