=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
-Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
+X-Python-Versions: all
 
 Package: python-egenix-mx-base-dev
 Architecture: all
@@ -257,6 +258,3 @@
  unique IDs play an important role are RPC-implementations, ORBs, user
  identification, message passing systems, object databases, etc.
 
-Package: python-egenix-mxuid-doc
-Section: doc
-Architecture: all
