## egenix-mx-base 3.2.6

=== debian/changelog ===
egenix-mx-base (3.2.6-1) unstable; urgency=low

  * New upstream release 3.2.6 (closes: #725180)
  * Update Standards-Version to 3.9.4 (no changes required)

 -- Joel Rosdahl <joel@debian.org>  Wed, 02 Oct 2013 20:52:50 +0200
