## egenix-mx-base 3.2.7

=== debian/changelog ===
egenix-mx-base (3.2.7-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:17 +0000

egenix-mx-base (3.2.7-1) unstable; urgency=low

  * New upstream release 3.2.7

 -- Joel Rosdahl <joel@debian.org>  Tue, 10 Dec 2013 20:58:32 +0100
