## egenix-mx-base 3.2.8

=== debian/changelog ===
egenix-mx-base (3.2.8-1) unstable; urgency=low

  * New upstream release 3.2.8
  * Update Standards-Version to 3.9.6 (no changes required)

 -- Joel Rosdahl <joel@debian.org>  Fri, 24 Oct 2014 22:25:22 +0200
