## egenix-mx-base 3.2.9

=== debian/changelog ===
egenix-mx-base (3.2.9-1) unstable; urgency=medium

  * New upstream release 3.2.9

 -- Joel Rosdahl <joel@debian.org>  Sat, 24 Oct 2015 18:12:23 +0200
