=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 #export DH_VERBOSE = 1
 
 PYVERS = $(shell pyversions -r debian/control)
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+export BASECFLAGS := $(CFLAGS) $(CPPFLAGS)
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -123,6 +128,7 @@
 	dh_installdocs -i -A debian/README.Debian
 	dh_installchangelogs -i
 	dh_link -i
+	dh_lintian -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_python2 -i
@@ -143,6 +149,7 @@
 	ln -s python-egenix-mxtools \
 	      debian/python-egenix-mx-base-dbg/usr/share/doc/python-egenix-mx-base-dbg
 	dh_link -a
+	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_python2 -a
